<?php
/**
* @version 2.3.6
* @package CB Mailing list
* @copyright (c) 2006-2008 - Erik Happaerts  [erik@happaerts.be] / Guus Koning [guus.koning@hccnet.nl]
* @copyright (c) 2007-2009 - Mark Bradley (OSPS Ltd)
* modifications lionel charrier (lionel-c.charrier@laposte.net) define  _CB_MAILING_ADMIN_CONFIGMMBCC4 to send a BBC email to the email sender
* @based on Mambo admin.massmail.php
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

define("_CB_MAILING_ADMIN_CONFIGALLADDR",		"If multiple CB e-mail fields are defined send to all?");
define("_CB_MAILING_ADMIN_CONFIGDEBUGTITLE",	"Debugging");
define("_CB_MAILING_ADMIN_CONFIGDEBUG",			"Send a debug copy of e-mail?");
define("_CB_MAILING_ADMIN_CONFIGDEBUGFROM",		"Send from");
define("_CB_MAILING_ADMIN_CONFIGDEBUGFROMLABEL","Address, text name");
define("_CB_MAILING_ADMIN_CONFIGDEBUGETITLE",	"Title of debug copy of e-mail");
define("_CB_MAILING_ADMIN_CONFIGDEBUGTO",		"Send to");
define("_CB_MAILING_ADMIN_CONFIGDEBUGTOLABEL",	"Address, text name");

define("_CB_MAILING_ADMIN_CONFIGFEALLOWATT",	"Allow attachments?");
define("_CB_MAILING_ADMIN_CONFIGFEALLOWHTML",	"Allow HTML?");
define("_CB_MAILING_ADMIN_CONFIGFEALLOWSIGOVER","Allow signature override?");
define("_CB_MAILING_ADMIN_CONFIGFETITLE",		"Front End");
define("_CB_MAILING_ADMIN_CONFIGINCBLOCK",		"Include blocked users?");
define("_CB_MAILING_ADMIN_CONFIGMMBCC",			"BCC recipients");
define("_CB_MAILING_ADMIN_CONFIGMMBCC1",		"No one");
define("_CB_MAILING_ADMIN_CONFIGMMBCC2",		"The list addresses");
define("_CB_MAILING_ADMIN_CONFIGMMBCC3",		"A specific address");
define("_CB_MAILING_ADMIN_CONFIGMMBCC4",			"Email sender");
define("_CB_MAILING_ADMIN_CONFIGMMBCCLABEL",	"Address, text name");
define("_CB_MAILING_ADMIN_CONFIGMMFROM",		"Send from");
define("_CB_MAILING_ADMIN_CONFIGMMFROM1",		"The person logged in");
define("_CB_MAILING_ADMIN_CONFIGMMFROM2",		"A specific address");
define("_CB_MAILING_ADMIN_CONFIGMMFROMLABEL",	"Address, text name");
define("_CB_MAILING_ADMIN_CONFIGMMHELP",		
"The options in this section interrelate.  Common combinations are:<br />
Where you do not mind the processing overhead of an e-mail per user:<br />
Method = one e-mail per list entry; From = the logged in user; To = the list; BCC = No one; Reply to = No one<br />
<br />
Where you only want to send one e-mail and do not mind users seeing each other's mail address:<br />
Method = one e-mail for whole list; From = the logged in user; To = the list; BCC = No one; Reply to = No one<br />
<br />
Where you only want to send one e-mail and do mind users seeing each other's mail address:<br />
method = one e-mail for whole list; From = the logged in user; To = a specified user; BCC = the list; Reply to = No one<br />
<br />
It would be pointless and irritating to set both the To and BCC recipients to be the same, especially if it were the list<br />
<br />
The following php.ini directives are relevant to CbMailing<br />");
define("_CB_MAILING_ADMIN_CONFIGMMHELPMAXEXEC",	"seconds - influences choice of method");
define("_CB_MAILING_ADMIN_CONFIGMMHELPMAXPOST",	"  Largest size of message text (not attachment)");
define("_CB_MAILING_ADMIN_CONFIGMMHELPMAXUP",	"  Largest size of attachment");
define("_CB_MAILING_ADMIN_CONFIGMMHELPUPLOADS0"," - Attachments not available");
define("_CB_MAILING_ADMIN_CONFIGMMHELPUPLOADS1"," - Attachments are available");
define("_CB_MAILING_ADMIN_CONFIGMMMETHOD",		"Method");
define("_CB_MAILING_ADMIN_CONFIGMMMETHOD1",		"One e-mail for the whole list");
define("_CB_MAILING_ADMIN_CONFIGMMMETHOD2",		"One e-mail per list entry");
define("_CB_MAILING_ADMIN_CONFIGMMREPLYTO",		"Reply to");
define("_CB_MAILING_ADMIN_CONFIGMMREPLYTO1",	"No one");
define("_CB_MAILING_ADMIN_CONFIGMMREPLYTO2",	"The person logged in");
define("_CB_MAILING_ADMIN_CONFIGMMREPLYTO3",	"A specific address");
define("_CB_MAILING_ADMIN_CONFIGMMREPLYTOLABEL","Address, text name");
define("_CB_MAILING_ADMIN_CONFIGMMTITLE",		"Mailing Mechanism");
define("_CB_MAILING_ADMIN_CONFIGMMTO",			"Send to");
define("_CB_MAILING_ADMIN_CONFIGMMTO1",			"The list addresses");
define("_CB_MAILING_ADMIN_CONFIGMMTO2",			"A specific recipient");
define("_CB_MAILING_ADMIN_CONFIGMMTOLABEL",		"Address, text name");
define("_CB_MAILING_ADMIN_CONFIGNOTWRITABLE",	"<font style=\"color: red;\">Configuration file is NOT writable</font>");
define("_CB_MAILING_ADMIN_CONFIGSAVED",			"Configuration settings successfully saved");
define("_CB_MAILING_ADMIN_CONFIGSIGNATURE",		"Signature");
define("_CB_MAILING_ADMIN_CONFIGTITLE",			"CBMailing Configuration");
define("_CB_MAILING_ADMIN_EXISTINGPERM",		"You already have a permission between those two groups");
define("_CB_MAILING_ADMIN_FROMGRPNOTSET",		" FROM group not set;");
define("_CB_MAILING_ADMIN_LISTMEMBUTTONTEXT",	"List members");
define("_CB_MAILING_ADMIN_PERMADDED",			"Permission added");
define("_CB_MAILING_ADMIN_PERMDELWARNING",		"The permission will be deleted and cannot be undone!");
define("_CB_MAILING_ADMIN_PERMISSIONSDEL",		"Permissions deleted: ");
define("_CB_MAILING_ADMIN_PERMSETEXISTING",		"Existing permissions");
define("_CB_MAILING_ADMIN_PERMSETHOWTODEL",		"To delete permissions, check the box and then click Delete");
define("_CB_MAILING_ADMIN_PERMSETLEFTGRP",		"Members of this group may send to...");
define("_CB_MAILING_ADMIN_PERMSETNEWPERM",		"New Permissions");
define("_CB_MAILING_ADMIN_PERMSETNEWPERMINSTR",	"To add a new permission choose one from each list FROM and TO and then click Save");
define("_CB_MAILING_ADMIN_PERMSETNEWPERMLEFT",	"List permitted to send FROM:");
define("_CB_MAILING_ADMIN_PERMSETNEWPERMRIGHT",	"is permitted to send TO:");
define("_CB_MAILING_ADMIN_PERMSETNOFROMGRP",	"No FROM group selected; ");
define("_CB_MAILING_ADMIN_PERMSETNOTOGRP",		"No TO group selected");
define("_CB_MAILING_ADMIN_PERMSETRIGHTGRP",		"...members of this group");
define("_CB_MAILING_ADMIN_PERMSETTITLE",		"Permission Setting");
define("_CB_MAILING_ADMIN_SENDBUTTONTEXT",		"Send Mail");
define("_CB_MAILING_ADMIN_SENDERRORLINKTEXT",	" when sending with ");
define("_CB_MAILING_ADMIN_SENDERRORSUBJECT",	"CbMailing Send ERROR");
define("_CB_MAILING_ADMIN_TOGRPNOTSET",			" TO group not set");

define("_CB_MAILING_ATTACHFILETEXT",		"Attach a file:");
define("_CB_MAILING_ATTACHFILESIZETEXT",	"Maximum size of attachment: ");
define("_CB_MAILING_DEBUG_ERRORINTRO",		"Attempt to e-mail group without permission");
define("_CB_MAILING_EMAILSENTTO",			"E-mail sent to");
define("_CB_MAILING_EMAILSENTTOXUSERS",		"Number of users to whom e-mail was sent:");
define("_CB_MAILING_EMAILSENTTOXUSERSTOTAL","Total in list: ");
define("_CB_MAILING_FILLFORMCORRECTLY",		"Please fill in the form correctly:");
define("_CB_MAILING_FILLINMESSAGE",			"Please fill in the message");
define("_CB_MAILING_FILLINSUBJECT",			"Please fill in the subject");
define("_CB_MAILING_GROUPTEXT",				"Group:");
define("_CB_MAILING_HMTLMODETEXT",			"Send in HTML mode:");
define("_CB_MAILING_MESSAGETEXT",			"Message:");
define("_CB_MAILING_NOGROUP",				"No group;");
define("_CB_MAILING_NOMESSAGEBODY",			"No message body;");
define("_CB_MAILING_NOPERMISSION",			"You are not allowed to send to that group");
define("_CB_MAILING_NOPERMISSIONATALL",		"You are not permitted to send e-mail to user groups - sorry");
define("_CB_MAILING_NOSUBJECT",				"No subject;");
define("_CB_MAILING_SELECTAGROUP",			"Please select a group");
define("_CB_MAILING_SELECTGROUPTEXT",		"Select the group to whom you wish to send the e-mail, then complete the other entries as required");
define("_CB_MAILING_SENDEMAILTEXT",			"Send E-mail");
define("_CB_MAILING_SUBJECTTEXT",			"Subject:");
define("_CB_MAILING_TITLE",					"E-mail user lists");
define("_CB_MAILING_USER",					"user");
define("_CB_MAILING_USERS",					"users");

?>